For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
      • GETList all Transactions
      • POSTCreate a Transaction
      • GETRetrieve a Transaction
      • DELRedact a Transaction
      • PATCHUpdate a Transaction
      • POSTAdd tag to Transaction
      • POSTCreate a Transaction label
      • POSTRemove tag from a Transaction
      • POSTSets tags on a Transaction
      • POSTRedact Transaction biometrics
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceTransactions

List all Transactions

GET
https://api.withpersona.com/api/v1/transactions
GET
/api/v1/transactions
$curl https://api.withpersona.com/api/v1/transactions \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "txn_ABC123",
5 "attributes": {
6 "status": "declined",
7 "fields": {
8 "country": {
9 "type": "string",
10 "value": "US"
11 },
12 "name-first": {
13 "type": "string",
14 "value": "LeBron"
15 },
16 "name-last": {
17 "type": "string",
18 "value": "James"
19 },
20 "selected-id-class": {
21 "type": "string",
22 "value": "dl"
23 },
24 "front-photo": {
25 "type": "file",
26 "value": {
27 "filename": "image.png",
28 "byte-size": 237011,
29 "mime-type": "image/png",
30 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
31 }
32 },
33 "back-photo": {
34 "type": "file",
35 "value": {
36 "filename": "image.png",
37 "byte-size": 237011,
38 "mime-type": "image/png",
39 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
40 }
41 }
42 },
43 "tags": [],
44 "created-at": "2023-05-26T16:49:33.860Z",
45 "updated-at": "2023-05-26T16:49:43.965Z"
46 },
47 "relationships": {
48 "reviewer": {
49 "data": {
50 "type": "workflow-run",
51 "id": "wfr_ABC123"
52 }
53 },
54 "transaction-label": {},
55 "transaction-type": {
56 "data": {
57 "type": "transaction-type",
58 "id": "txntp_ABC123"
59 }
60 },
61 "related-objects": {
62 "data": [
63 {
64 "type": "account",
65 "id": "act_ABC123"
66 },
67 {
68 "type": "verification/government-id",
69 "id": "ver_ABC123"
70 }
71 ]
72 }
73 },
74 "type": "transaction"
75 }
76 ],
77 "links": {
78 "prev": "/api/v1/transactions?page%before%5D=txn_ABC123",
79 "next": "/api/v1/transactions?page%5Bafter%5D=txn_ABC123"
80 }
81}
Returns a list of your organization's transactions. Note that this endpoint aggregates transactions across all transaction type(s). See [Pagination](https://docs.withpersona.com/pagination) for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Create a Transaction

Next
Built with

Returns a list of your organization’s transactions. Note that this endpoint aggregates transactions across all transaction type(s). See Pagination for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
filterobjectOptional

Response

This endpoint returns a collection of Transaction objects.
datalist of objects
linksobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.